"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = exports.parser = exports.lexer = void 0;
const nearley = require("nearley");
const compiledRules = require("./urichk");
exports.lexer = compiledRules.Lexer;
exports.parser = new nearley.Parser(nearley.Grammar.fromCompiled(compiledRules));
function parse(schema) {
    exports.parser.feed(schema);
    return exports.parser.finish()[0];
}
exports.parse = parse;
